image: node:current

pages:
  cache:
    paths:
      - dnk8n.dev/node_modules
      - dnk8n.dev/elm-stuff
      - dnk8n.dev/package-lock.json
  script:
    - cd dnk8n.dev
    - npm install elm
    - npm install elmstatic
    - node_modules/elmstatic/bin/elmstatic.js
    - mv _site ../public
  artifacts:
    paths:
      - public
  only:
    - master
